| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# void

$Revision: 1.3 $

$Date: 2002/06/12 11:18:42 $

void — An empty element in a function synopsis indicating that the function in question takes no arguments

## Synopsis

### Content Model

    void ::=
    EMPTY

### Attributes

Common attributes

## Description

The `Void` element indicates explicitly that a `Function` has no arguments.

### Processing expectations

The `Void` element produces generated text that indicates the function has no arguments (or returns nothing). The exact generated text may vary. One common result is `void`.

### Parents

These elements contain void: `constructorsynopsis`, `destructorsynopsis`, `funcprototype`, `methodsynopsis`.

## See Also

`funcdef`, `funcparams`, `funcprototype`, `funcsynopsisinfo`, `function`, `paramdef`, `parameter`, `returnvalue`, `varargs`.

## Examples

For examples, see `funcdef`, `funcsynopsis`.

videoobject |  | volumenum

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.